4 endpoints

Phone Number Registration

Base path: /organizations/:orgId/phone-numbers/:phoneId/registration · Source: backend/src/modules/phone-number-registration/phone-number-registration.controller.ts

POST/organizations/:orgId/phone-numbers/:phoneId/registration/request-code
bearer

Path params

orgIdstring
phoneIdstring

Body

RequestCodeDtoparámetro: dto

Ejemplo curl

curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/registration/request-code' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/organizations/:orgId/phone-numbers/:phoneId/registration/verify-code
bearer

Path params

orgIdstring
phoneIdstring

Body

VerifyCodeDtoparámetro: dto

Ejemplo curl

curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/registration/verify-code' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/organizations/:orgId/phone-numbers/:phoneId/registration/register
bearer

Path params

orgIdstring
phoneIdstring

Body

RegisterDtoparámetro: dto

Ejemplo curl

curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/registration/register' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Content-Type: application/json' \
  -d '{}'
POST/organizations/:orgId/phone-numbers/:phoneId/registration/deregister
bearer

Path params

orgIdstring
phoneIdstring

Ejemplo curl

curl -X POST 'https://api.mosend.dev/organizations/a1b2c3d4-1234-5678-9abc-def012345678/phone-numbers/00000000-0000-0000-0000-000000000000/registration/deregister' \
  -H 'Authorization: Bearer YOUR_TOKEN'